import request from '@/router/axios';

export const dictionary = () => {
    return request({
        url: '/api/blade-system/dict/dictionary?code=sys_text_type',
        method: 'get',
    })
}

// 设置文本类型
export const saveInput = (data) => {
    return request({
        url: '/api/blade-manager/textdictinfo/saveTextInfo',
        method: 'post',
        data
    })
}

// 获取字段信息
export const getColByTabId = (params) => {
    return request({
        url: '/api/blade-manager/linkdatainfo/getColByTabId',
        method: 'get',
        params
    })
}